# CvBlobTrackGen Class Reference

`#include <blobtrack.hpp>`

Inheritance diagram for CvBlobTrackGen:

List of all members.

## Public Member Functions

virtual void | AddBlob (CvBlob *pBlob)=0
| CvBlobTrackGen ()
virtual void | Process (IplImage *pImg=NULL, IplImage *pFG=NULL)=0
virtual void | Release ()=0
virtual void | SetFileName (char *pFileName)=0

## Constructor & Destructor Documentation

CvBlobTrackGen::CvBlobTrackGen | ( | ) | `[inline]`

## Member Function Documentation

virtual void CvBlobTrackGen::AddBlob | ( | CvBlob * | pBlob ) | `[pure virtual]`

virtual void CvBlobTrackGen::Process | ( | IplImage * | pImg = `NULL`,
|  | IplImage * | pFG = `NULL`
| ) |  | `[pure virtual]`

virtual void CvBlobTrackGen::Release | ( | ) | `[pure virtual]`

Implements CvVSModule.

virtual void CvBlobTrackGen::SetFileName | ( | char * | pFileName ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines